# Delete an Event Destination

Delete an event destination.

## Returns

## Response attributes

- `id` (string)
  The ID of the object that’s being deleted.

- `object` (string, nullable)
  String representing the type of the object that has been deleted. Objects of the same type share the same value of the object field.

## Error Codes

| HTTP status code | Code              | Description                                                     |
| ---------------- | ----------------- | --------------------------------------------------------------- |
| 404              | not_found         | The resource wasn’t found.                                      |
| 409              | idempotency_error | An idempotent retry occurred with different request parameters. |

```curl
curl -X DELETE https://api.stripe.com/v2/core/event_destinations/ed_test_61RM8ltWcTW4mbsxf16RJyfa2xSQLHJJh1sxm7H0KVT6 \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-03-25.dahlia"
```

### Response

```json
{
  "id": "ed_test_61RM8ltWcTW4mbsxf16RJyfa2xSQLHJJh1sxm7H0KVT6",
  "object": "v2.core.event_destination",
  "deleted": true
}
```
